Skip to main content
Countries

Get a list of countries

'This method requires the Countries:Get permission to be associated with your role.'

GET
/gb/countries
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
namestringquery

Name

This field supports the wildcard % operator.

Maximum string length: 100
Pattern: ^[\x27\%\-a-zA-Z\(\)\.\,\s]+$
iso_code_2stringquery

ISO 3166-1 alpha-2 code.

This field supports the wildcard % operator.

Maximum string length: 2
Pattern: ^[a-zA-Z\%]{1,2}$
iso_code_3stringquery

ISO 3166-1 alpha-3 code.

This field supports the wildcard % operator.

Maximum string length: 3
Pattern: ^[a-zA-Z\%]{1,3}$
pageintegerquerydefault:1

Optional page number

Required range: 1 <= x <= 2147483647
page_sizeintegerquerydefault:25

Optional page size

Required range: -1 <= x <= 2147483647

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
pageinteger
Example: 11
page_countinteger
Example: 1
page_sizeinteger
Example: 25
total_itemsinteger
Example: 1